Bug 509348 - Gnote crashed when asked for "Help"
Gnote crashed when asked for "Help"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 08:08 EDT by Michal Nowak
Modified: 2013-03-13 01:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.5.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-07-02 08:08:54 EDT
Description of problem:

Gnote crashed when right_click on it's icon -> Help. The app itself crashed but the help page in Yelp was displayed correctly. It was the first time I ran Gnote and I had two notes opened. Here comes the trace back:

Core was generated by `gnote'.
Program terminated with signal 11, Segmentation fault.
#0  IA__g_hash_table_size (hash_table=0x100000001) at ghash.c:1274
1274	  return hash_table->nnodes;
Current language:  auto; currently c

Thread 1 (Thread 23863):
#0  IA__g_hash_table_size (hash_table=0x100000001) at ghash.c:1274
        __PRETTY_FUNCTION__ = "IA__g_hash_table_size"
#1  0x0000003d1a2045d2 in enchant_broker_free ()
   from /usr/lib64/libenchant.so.1
No symbol table info available.
#2  0x0000003d154031ff in gtkspell_free (spell=0x2333fd0) at gtkspell.c:741
        buffer = 0x0
        start = {dummy1 = 0x3b4d808dd0, dummy2 = 0x7fff6aa44aa8, 
          dummy3 = 41702736, dummy4 = 0, dummy5 = 283225823, dummy6 = 61, 
          dummy7 = 281926528, dummy8 = 61, dummy9 = 0x3d10a5709a, 
          dummy10 = 0x3d10e31c5c, dummy11 = 283326064, dummy12 = 61, 
          dummy13 = 283322826, dummy14 = 0x3d10a41ffb}
        end = {dummy1 = 0x30, dummy2 = 0x17, dummy3 = -2147352576, 
          dummy4 = 52, dummy5 = 283326068, dummy6 = 61, dummy7 = 283322826, 
          dummy8 = 61, dummy9 = 0x1c, dummy10 = 0x3b4d808dd0, 
          dummy11 = 281926528, dummy12 = 61, dummy13 = 32985616, 
          dummy14 = 0xc8}
#3  0x00000000004d70c1 in gnote::NoteSpellChecker::detach (this=0x2123e90)
    at watchers.cpp:330
No locals.
#4  0x00000000004a74a0 in sigc::internal::signal_emit2<void, gnote::Preferences*, _GConfEntry*, sigc::nil>::emit (impl=<value optimized out>, 
    _A_a2=<value optimized out>, _A_a1=<value optimized out>)
    at /usr/include/sigc++-2.0/sigc++/signal.h:1248
        slots = {slots_ = std::list = {
            [0] = {<sigc::functor_base> = {<No data fields>}, rep_ = 0x21, 
              blocked_ = 224}, 
            [1] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x20066c0, blocked_ = false}, 
            [2] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2333750, blocked_ = false}, 
            [3] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x23338f0, blocked_ = false}, 
            [4] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x234bbe0, blocked_ = false}, 
            [5] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x27c6610, blocked_ = false}, 
            [6] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x240e840, blocked_ = false}, 
            [7] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x240ea30, blocked_ = false}, 
            [8] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x245b870, blocked_ = false}, 
            [9] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x244d110, blocked_ = false}, 
            [10] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x244d300, blocked_ = false}, 
            [11] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x277ee90, blocked_ = false}, 
            [12] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2450cc0, blocked_ = false}, 
            [13] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2450eb0, blocked_ = false}, 
            [14] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2ad7170, blocked_ = false}, 
            [15] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2acf480, blocked_ = false}, 
            [16] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2acf670, blocked_ = false}, 
            [17] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2af7af0, blocked_ = false}, 
            [18] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2b64350, blocked_ = false}, 
            [19] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2b5ccd0, blocked_ = false}, 
            [20] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2b5cec0, blocked_ = false}, 
            [21] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2b13110, blocked_ = false}, 
            [22] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2748200, blocked_ = false}, 
            [23] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2762e40, blocked_ = false}, 
            [24] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x2763030, blocked_ = false}, 
            [25] = {<sigc::functor_base> = {<No data fields>}, 
              rep_ = 0x303bb80, blocked_ = false}}, placeholder = 
    {<sigc::functor_base> = {<No data fields>}, rep_ = 0x0, blocked_ = false}}
#5  sigc::signal2<void, gnote::Preferences*, _GConfEntry*, sigc::nil>::emit (
    impl=<value optimized out>, _A_a2=<value optimized out>, 
    _A_a1=<value optimized out>)
    at /usr/include/sigc++-2.0/sigc++/signal.h:2881
No locals.
#6  sigc::signal2<void, gnote::Preferences*, _GConfEntry*, sigc::nil>::operator() (impl=<value optimized out>, _A_a2=<value optimized out>, 
    _A_a1=<value optimized out>)
    at /usr/include/sigc++-2.0/sigc++/signal.h:2889
No locals.
#7  gnote::Preferences::gconf_notify_glue (impl=<value optimized out>, 
    _A_a2=<value optimized out>, _A_a1=<value optimized out>)
    at preferences.cpp:84
No locals.
#8  0x0000003d14818675 in notify_listener_list (
    user_data=<value optimized out>, callback=<value optimized out>, 
    listeners=<value optimized out>, key=<value optimized out>, 
    list=<value optimized out>) at gconf-listeners.c:590
        l = 0x0
#9  ltable_notify (user_data=<value optimized out>, 
    callback=<value optimized out>, listeners=<value optimized out>, 
    key=<value optimized out>, list=<value optimized out>)
    at gconf-listeners.c:656
        dirs = 0x3075fb0
        i = <value optimized out>
        to_notify = 0x3076360
        cur = <value optimized out>
#10 gconf_listeners_notify (user_data=<value optimized out>, 
    callback=<value optimized out>, listeners=<value optimized out>, 
    key=<value optimized out>, list=<value optimized out>)
    at gconf-listeners.c:185
No locals.
#11 0x0000003d14826060 in notify_one_entry (client=0x1fbb920, entry=0x30731a0)
    at gconf-client.c:2468
        cae = {client = 0x1fbb920, entry = 0x30731a0}
#12 0x0000003d14826131 in gconf_client_flush_notifies (
    client=<value optimized out>) at gconf-client.c:2508
        entry = 0x30731a0
        tmp = 0x304e810
        last_entry = 0x0
#13 notify_idle_callback (client=<value optimized out>) at gconf-client.c:2402
        client = 0x1fbb920
#14 0x0000003d10a37abe in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1824
        dispatch = 0x3d10a35c80 <g_idle_dispatch>
        user_data = 0x1fbb920
        callback = 0x3d14826090 <notify_idle_callback>
        cb_funcs = 0x3d10cdd370
        cb_data = 0x2333c20
        current_source_link = {data = 0x307ab80, next = 0x0}
        source = 0x307ab80
        current = 0x1fa5980
        i = 0
#15 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2377
No locals.
#16 0x0000003d10a3b278 in g_main_context_iterate (context=0x1f77900, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2455
        max_priority = 200
        timeout = 0
        some_ready = 1
        nfds = 7
        allocated_nfds = 279215984
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#17 0x0000003d10a3b6d5 in IA__g_main_loop_run (loop=0x27c6d60) at gmain.c:2663
        self = 0x1f82ef0
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#18 0x0000003d12f27bf7 in IA__gtk_main () at gtkmain.c:1205
        tmp_list = 0x1ffa0d0
        functions = 0x0
        init = 0x7fff6aa44dd0
        loop = <value optimized out>
#19 0x000000000046f7d6 in gnote::Gnote::start_tray_icon (this=0x1ffa0d0)
    at gnote.cpp:195
No locals.
#20 0x0000000000472888 in gnote::Gnote::main (this=0x1ffa0d0, argc=1, 
    argv=0x7fff6aa45118) at gnote.cpp:140
        context = {_vptr.OptionContext = 0x3d198535d0, gobject_ = 0x1ffa480, 
          has_ownership_ = true}
        am = @0x27a1ae0
        cmd_line = {<Glib::OptionGroup> = {_vptr.OptionGroup = 0x5247b0, 
            map_entries_ = std::map with 4 elements
    Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gdb/libstdcxx/v6/printers.py", line 288, in children
    nodetype = gdb.lookup_type('std::_Rb_tree_node< std::pair< %s, %s > >' % (keytype, valuetype))
RuntimeError: No type named std::_Rb_tree_node< std::pair< const Glib::ustring, Glib::OptionGroup::CppOptionEntry > >.
, gobject_ = 0x1ffa120, has_ownership_ = false}, m_new_note = false, 
          m_open_start_here = false, m_use_panel = false, 
          m_show_version = false, m_open_note_name = "", m_open_note_uri = "", 
          m_open_external_note_path = "", m_search = {
            static npos = <optimized out>, string_ = ""}, m_note_path = {
            static npos = <optimized out>, string_ = ""}}
        note_path = "/home/newman/.gnote"
        addins = std::list = {
          [0] = 0x2006770
        }
#21 0x000000000046e55d in main (argc=1, argv=0x7fff6aa45118) at main.cpp:39
        kit = {<sigc::trackable> = {callback_list_ = 0x0}, 
          _vptr.Main = 0x3d1b7e50d0, static signal_run_ = {<No data fields>}, 
          static signal_quit_ = {<No data fields>}, 
          static signal_key_snooper_ = {<No data fields>}, 
          static instance_ = 0x7fff6aa45010}
        app = 0x1ffa0d0
        retval = <value optimized out>


Version-Release number of selected component (if applicable):

gnote-0.5.1-1.fc11.x86_64

How reproducible:

just once, not reproducible on second, 3rd run
Comment 1 Fedora Update System 2009-07-03 15:21:01 EDT
gnote-0.5.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnote-0.5.2-1.fc11
Comment 2 Rahul Sundaram 2009-07-03 15:21:48 EDT
Please test with this update and let me know how it works
Comment 3 Michal Nowak 2009-07-07 06:15:52 EDT
OK. Not seeing the crash again.
Comment 4 Fedora Update System 2009-07-11 13:14:52 EDT
gnote-0.5.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.